Package org.gradle.api.tasks.diagnostics

# Class BuildEnvironmentReportTask

java.lang.Object
org.gradle.api.internal.AbstractTask
org.gradle.api.DefaultTask
org.gradle.api.tasks.diagnostics.BuildEnvironmentReportTask

All Implemented Interfaces:
  `Comparable<Task>`, `org.gradle.api.internal.DynamicObjectAware`, `org.gradle.api.internal.TaskInternal`, `ExtensionAware`, `Task`, `org.gradle.util.Configurable<Task>`

@Incubating public class BuildEnvironmentReportTask extends DefaultTask
Provides information about the build environment for the project that the task is associated with.

Currently, this information is limited to the project's declared build script dependencies visualised in a similar manner as provided by `DependencyReportTask`.

It is not necessary to manually add a task of this type to your project, as every project automatically has a task of this type by the name `"buildEnvironment"`.

Since:
  2.10

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.gradle.api.Task

`Task.Namer`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`TASK_NAME`

### Fields inherited from interface org.gradle.api.Task

`TASK_ACTION, TASK_DEPENDS_ON, TASK_DESCRIPTION, TASK_GROUP, TASK_OVERWRITE, TASK_TYPE`

## Constructor Summary

Constructors
Constructor
Description
`BuildEnvironmentReportTask()`

## Method Summary

Modifier and Type
Method
Description
`void`
`generate()`
`protected org.gradle.initialization.BuildClientMetaData`
`getClientMetaData()`
`protected org.gradle.internal.logging.text.StyledTextOutputFactory`
`getTextOutputFactory()`
`protected void`
`setRenderer(org.gradle.api.tasks.diagnostics.internal.DependencyReportRenderer dependencyReportRenderer)`

### Methods inherited from class org.gradle.api.DefaultTask

`newInputDirectory, newInputFile, newOutputDirectory, newOutputFile`

### Methods inherited from class org.gradle.api.internal.AbstractTask

`addValidator, appendParallelSafeAction, compareTo, configure, deleteAllActions, dependsOn, dependsOnTaskDidWork, doFirst, doFirst, doFirst, doLast, doLast, doLast, execute, finalizedBy, getActions, getAnt, getAsDynamicObject, getConvention, getDependsOn, getDescription, getDestroyables, getDidWork, getEnabled, getExecuter, getExtensions, getFinalizedBy, getGroup, getIdentityPath, getImpliesSubProjects, getInputs, getLocalState, getLogger, getLogging, getMustRunAfter, getName, getOnlyIf, getOutputs, getPath, getProject, getServices, getShouldRunAfter, getStandardOutputCapture, getState, getTaskActions, getTaskDependencies, getTemporaryDir, getTemporaryDirFactory, getValidators, hasProperty, injectIntoNewInstance, isEnabled, isHasCustomActions, leftShift, mustRunAfter, onlyIf, onlyIf, prependParallelSafeAction, property, setActions, setDependsOn, setDescription, setDidWork, setEnabled, setExecuter, setFinalizedBy, setGroup, setImpliesSubProjects, setMustRunAfter, setOnlyIf, setOnlyIf, setProperty, setShouldRunAfter, shouldRunAfter, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### TASK_NAME

public static final String TASK_NAME

See Also:
  - Constant Field Values

## Constructor Details

### BuildEnvironmentReportTask

public BuildEnvironmentReportTask()

## Method Details

### getClientMetaData

@Inject protected org.gradle.initialization.BuildClientMetaData getClientMetaData()

### getTextOutputFactory

@Inject protected org.gradle.internal.logging.text.StyledTextOutputFactory getTextOutputFactory()

### generate

public void generate()

### setRenderer

protected void setRenderer(org.gradle.api.tasks.diagnostics.internal.DependencyReportRenderer dependencyReportRenderer)